summary.traps {secr} | R Documentation

## Summarise Detector Array

### Description

Concise description of `traps` object.

### Usage

    ## S3 method for class 'traps'
    summary(object, getspacing = TRUE, ...)
    ## S3 method for class 'summary.traps'
    print(x, terse = FALSE, ...)

### Arguments

`object` | `traps` object
`getspacing` | logical to calculate spacing of detectors from scratch
`x` | `summary.traps` object
`terse` | if TRUE suppress printing of usage and covariate summary
`...` | arguments passed to other functions

### Details

When `object` includes both categorical (factor) covariates and `usage`, usage is tabulated for each level of the covariates.

Computation of `spacing` (mean distance to nearest trap) is slow and may hit a memory limit when there are many traps. In this case, turn off the computation with `getspacing` = FALSE.

### Value

An object of class `summary.traps`, a list with elements

`detector` | `detector` type ("single", "multi", "proximity" etc.)
`ndetector` | number of detectors
`xrange` | range of x coordinates
`yrange` | range of y coordinates
`spacing` | mean distance from each trap to nearest other trap
`usage` | table of usage by occasion
`covar` | summary of covariates

### See Also

`print`, `traps`

### Examples

    demo.traps <- make.grid()
    summary(demo.traps)   ## uses print method for summary.traps object

[Package secr version 3.2.1 Index]